MCP Tools Reference: cloudbilling.googleapis.com

Tool: list_project_billing_info

Lists the billing information for all projects linked to a billing account.

The following code sample shows how to use curl to call the list_project_billing_info MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_project_billing_info",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for ListProjectBillingInfo.

ListProjectBillingInfoRequest

JSON representation
{
  "name": string,
  "pageSize": integer,
  "pageToken": string
}
Fields
name

string

Required. The resource name of the billing account associated with the projects that you want to list. For example, billingAccounts/012345-567890-ABCDEF.

pageSize

integer

Requested page size. The maximum page size is 100; this is also the default.

pageToken

string

A token identifying a page of results to be returned. This should be a next_page_token value returned from a previous ListProjectBillingInfo call. If unspecified, the first page of results is returned.

Output Schema

Request message for ListProjectBillingInfoResponse.

ListProjectBillingInfoResponse

JSON representation
{
  "projectBillingInfo": [
    {
      object (ProjectBillingInfo)
    }
  ],
  "nextPageToken": string
}
Fields
projectBillingInfo[]

object (ProjectBillingInfo)

A list of ProjectBillingInfo resources representing the projects associated with the billing account.

nextPageToken

string

A token to retrieve the next page of results. To retrieve the next page, call ListProjectBillingInfo again with the page_token field set to this value. This field is empty if there are no more results to retrieve.

ProjectBillingInfo

JSON representation
{
  "name": string,
  "projectId": string,
  "billingAccountName": string,
  "billingEnabled": boolean
}
Fields
name

string

Output only. The resource name for the ProjectBillingInfo; has the form projects/{project_id}/billingInfo. For example, the resource name for the billing information for project tokyo-rain-123 would be projects/tokyo-rain-123/billingInfo.

projectId

string

Output only. The ID of the project that this ProjectBillingInfo represents, such as tokyo-rain-123. This is a convenience field so that you don't need to parse the name field to obtain a project ID.

billingAccountName

string

The resource name of the billing account associated with the project, if any. For example, billingAccounts/012345-567890-ABCDEF.

billingEnabled

boolean

Output only. True if the project is associated with an open billing account, to which usage on the project is charged. False if the project is associated with a closed billing account, or no billing account at all, and therefore cannot use paid services.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌